Skip to main content
`Ctrl`+`K`

# PEPGetDimensions

Gets the number of eigenvalues to compute and the dimension of the subspace.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetDimensions(PEP pep,PetscInt *nev,PetscInt *ncv,PetscInt *mpd)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameters

- nev - number of eigenvalues to compute

- ncv - the maximum dimension of the subspace to be used by the solver

- mpd - the maximum dimension allowed for the projected problem

## Notes

The user can specify `NULL` for any parameter that is not needed.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetDimensions()`

## Level

intermediate

## Location

src/pep/interface/pepopts.c

## Examples

src/pep/tutorials/ex38.c
src/pep/tutorials/ex16.c
src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex17.c
src/pep/tutorials/ex28.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages